# Uses of Class
com.ngrok.definitions.EventTargetFirehose

Packages that use EventTargetFirehose
Package
Description
com.ngrok.definitions

- ## Uses of EventTargetFirehose in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EventTargetFirehose
  Modifier and Type
  Method
  Description
  `EventTargetFirehose`
  EventTargetFirehose.Builder.`build()`
  Constructs the `EventTargetFirehose` instance.
  Methods in com.ngrok.definitions that return types with arguments of type EventTargetFirehose
  Modifier and Type
  Method
  Description
  `Optional<EventTargetFirehose>`
  EventTarget.`getFirehose()`
  Configuration used to send events to Amazon Kinesis Data Firehose.
  Methods in com.ngrok.definitions with parameters of type EventTargetFirehose
  Modifier and Type
  Method
  Description
  `EventTarget.Builder`
  EventTarget.Builder.`firehose(EventTargetFirehose firehose)`
  Configuration used to send events to Amazon Kinesis Data Firehose.
  Method parameters in com.ngrok.definitions with type arguments of type EventTargetFirehose
  Modifier and Type
  Method
  Description
  `EventTarget.Builder`
  EventTarget.Builder.`firehose(Optional<EventTargetFirehose> firehose)`
  Configuration used to send events to Amazon Kinesis Data Firehose.